Bug 1469505 - virt-install cannot create an aarch64 domain: internal error: qemu unexpectedly closed the monitor
virt-install cannot create an aarch64 domain: internal error: qemu unexpected...
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
  Show dependency treegraph
 
Reported: 2017-07-11 08:09 EDT by Richard W.M. Jones
Modified: 2017-07-17 08:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-12 03:59:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2017-07-11 08:09:38 EDT
Description of problem:

$ cp /usr/share/edk2/aarch64/vars-template-pflash.raw .
$ virt-install --name=tmp --ram=2048 --arch=aarch64 --vcpus=1 --os-type=linux --os-variant=fedora23 --boot loader=/usr/share/edk2/aarch64/QEMU_EFI-pflash.raw,loader_ro=yes,loader_type=pflash,nvram=`pwd`/vars-template-pflash.raw --location=https://dl.fedoraproject.org/pub/fedora-secondary/releases/26/Server/aarch64/os/ --disk=tmp,size=6 --nographics --noreboot 

Starting install...
Retrieving file vmlinuz...                                  |  15 MB  00:21 !!! 
Retrieving file initrd.img...                               |  47 MB  01:29     
ERROR    internal error: process exited while connecting to monitor: bin HOME=/home/rjones USER=rjones LOGNAME=rjones QEMU_AUDIO_DRV=none /usr/bin/qemu-system-aarch64 -name guest=tmp,debug-threads=on -S -object secret,id=masterKey0,format=raw,file=/home/rjones/.config/libvirt/qemu/lib/domain-14-tmp/master-key.aes -machine virt-2.9,accel=tcg,usb=off,dump-guest-core=off -cpu cortex-a57 -drive file=/usr/share/edk2/aarch64/QEMU_EFI-pflash.raw,if=pflash,format=raw,unit=0,readonly=on -drive file=/var/tmp/vars-template-pflash.raw,if=pflash,format=raw,unit=1 -m 2048 -realtime mlock=off -smp 1,sockets=1,cores=1,threads=1 -uuid 622884da-23ed-4cdb-8d26-39385c6a71d9 -display none -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/home/rjones/.config/libvirt/qemu/lib/domain-14-tmp/monitor.sock,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-reboot -boot strict=on -kernel /home/rjones/.cache/virt-manager/boot/virtinst-vmlinuz.kulJNZ -initrd /home/rjones/.cache/virt-manager/boot/virtinst-initrd.img.e
Domain installation does not appear to have been successful.
If it was, you can restart your domain by running:
  virsh --connect qemu:///session start tmp
otherwise, please restart your installation.


There is no real information in the qemu log file.  The last few lines of
this file are:

2017-07-11 12:04:42.117+0000: starting up libvirt version: 3.4.0, package: 1.fc27 (Fedora Project, 2017-06-05-10:18:27, buildvm-13.phx2.fedoraproject.org), qemu version: 2.9.0(qemu-2.9.0-1.fc26), hostname: moo.home.annexia.org
LC_ALL=C LD_LIBRARY_PATH=/home/rjones/d/libguestfs/ruby/ext/guestfs:/home/rjones/d/libguestfs/lib/.libs:/home/rjones/d/libguestfs/java/.libs:/home/rjones/d/libguestfs/gobject/.libs PATH=/home/rjones/d/libguestfs/v2v:/home/rjones/d/libguestfs/tools:/home/rjones/d/libguestfs/test-tool:/home/rjones/d/libguestfs/sysprep:/home/rjones/d/libguestfs/sparsify:/home/rjones/d/libguestfs/resize:/home/rjones/d/libguestfs/rescue:/home/rjones/d/libguestfs/p2v:/home/rjones/d/libguestfs/make-fs:/home/rjones/d/libguestfs/inspector:/home/rjones/d/libguestfs/get-kernel:/home/rjones/d/libguestfs/fuse:/home/rjones/d/libguestfs/format:/home/rjones/d/libguestfs/fish:/home/rjones/d/libguestfs/erlang:/home/rjones/d/libguestfs/edit:/home/rjones/d/libguestfs/diff:/home/rjones/d/libguestfs/dib:/home/rjones/d/libguestfs/df:/home/rjones/d/libguestfs/customize:/home/rjones/d/libguestfs/cat:/home/rjones/d/libguestfs/builder:/home/rjones/d/libguestfs/align:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/home/rjones/.local/bin:/home/rjones/bin HOME=/home/rjones USER=rjones LOGNAME=rjones QEMU_AUDIO_DRV=none /usr/bin/qemu-system-aarch64 -name guest=tmp,debug-threads=on -S -object secret,id=masterKey0,format=raw,file=/home/rjones/.config/libvirt/qemu/lib/domain-14-tmp/master-key.aes -machine virt-2.9,accel=tcg,usb=off,dump-guest-core=off -cpu cortex-a57 -drive file=/usr/share/edk2/aarch64/QEMU_EFI-pflash.raw,if=pflash,format=raw,unit=0,readonly=on -drive file=/var/tmp/vars-template-pflash.raw,if=pflash,format=raw,unit=1 -m 2048 -realtime mlock=off -smp 1,sockets=1,cores=1,threads=1 -uuid 622884da-23ed-4cdb-8d26-39385c6a71d9 -display none -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/home/rjones/.config/libvirt/qemu/lib/domain-14-tmp/monitor.sock,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc -no-reboot -boot strict=on -kernel /home/rjones/.cache/virt-manager/boot/virtinst-vmlinuz.kulJNZ -initrd /home/rjones/.cache/virt-manager/boot/virtinst-initrd.img.eGnXnS -append inst.repo=https://dl.fedoraproject.org/pub/fedora-secondary/releases/26/Server/aarch64/os/ -device pcie-root-port,port=0x8,chassis=1,id=pci.1,bus=pcie.0,multifunction=on,addr=0x1 -device pcie-root-port,port=0x9,chassis=2,id=pci.2,bus=pcie.0,addr=0x1.0x1 -device pcie-root-port,port=0xa,chassis=3,id=pci.3,bus=pcie.0,addr=0x1.0x2 -device pcie-root-port,port=0xb,chassis=4,id=pci.4,bus=pcie.0,addr=0x1.0x3 -device virtio-scsi-pci,id=scsi0,bus=pci.2,addr=0x0 -device virtio-serial-pci,id=virtio-serial0,bus=pci.3,addr=0x0 -drive file=/var/tmp/tmp,format=qcow2,if=none,id=drive-scsi0-0-0-0 -device scsi-hd,bus=scsi0.0,channel=0,scsi-id=0,lun=0,drive=drive-scsi0-0-0-0,id=scsi0-0-0-0,bootindex=1 -netdev user,id=hostnet0 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:ce:ce:7a,bus=pci.1,addr=0x0 -serial pty -chardev socket,id=charchannel0,path=/home/rjones/.config/libvirt/qemu/channel/target/domain-14-tmp/org.qemu.guest_agent.0,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=org.qemu.guest_agent.0 -msg timestamp=on
2017-07-11 12:04:42.697+0000: shutting down, reason=failed

Version-Release number of selected component (if applicable):

libvirt-daemon-3.4.0-1.fc27.x86_64
qemu-system-aarch64-core-2.9.0-1.fc26.x86_64
virt-install-1.4.1-2.fc26.noarch

How reproducible:

100%

Steps to Reproduce:
1. See above.
Comment 1 Richard W.M. Jones 2017-07-11 08:34:37 EDT
I ran this command again with a little less load on the machine and
it worked, so I suspect that qemu ran out of memory the first time.
It's really odd that there was no error message however.
Comment 2 Pavel Hrdina 2017-07-11 10:52:11 EDT
Based on the Comment 1 this is a QEMU bug that it doesn't print any usable error message.  The error message printed by libvirt "internal error: process exited while connecting to monitor" is when qemu exits before libvirt is able to connect to it.

Please close this bug and create a new one for QEMU <https://bugs.launchpad.net/qemu/>.

Note You need to log in before you can comment on or make changes to this bug.